Subject: Re: git log alias with --all and --exclude

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Sep 2024 13:45:50 -0700

Jacob Keller <[email-masked]> writes:

>> > > 'gr = log --oneline --abbrev-commit --all --graph --decorate --color'
>
> You could implement this as a shell alias so that your options get
> included before the --all. I'm not sure how trivial that would be to
> do, but thats how I would go about implementing this alias.

True.  If I were doing this, I would at least do something like

    [alias]
	rg = "!sh -c 'git log --oneline --abbrev-commit --graph \
		--decorate --color ${1-\"--all\"} \"$@\"' -"

so that

 (1) "git rg" without any argument will default to "--all"
 (2) "git rg --exclude 'wip*' --branches" would work as expected,
     just like "git rg --first-parent master..seen" would.

Thanks.